/**
 * Limita o numero de linhar do conteudo textual, default: 3
 *
 * $lines: numero maximo de linhas
 */

@mixin limitTextLines($lines: 3) {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  line-clamp: $lines;
  -webkit-line-clamp: $lines; /* number of lines to show */
  -webkit-box-orient: vertical;
}

/**
* Incluir fontes - font-face
*
* $family: nome da fonte
* $src: o caminho para o ficheiro da fonte
* $weight: font-weight da fonte
*/
@mixin font-face($family, $src, $weight: 400, $style: normal) {
  @font-face {
    font-family: $family;
    src: url('#{$src}') format('truetype');
    font-weight: $weight;
    font-style: $style;
    font-display: swap;
  }
}

/**
* hide placeholder
*/
@mixin hide-placeholder() {
  &::placeholder {
    visibility: hidden;
  }

  &::-webkit-input-placeholder,
  &::-moz-placeholder {
    visibility: hidden;
    color: transparent;
  }
}
